Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::StaticCollisionLeaf Class Reference

静的コリジョンリーフ More...

`#include <StaticCollisionLeaf.h>`

Inheritance diagram for Lamp::StaticCollisionLeaf:

List of all members.

## Public Member Functions
virtual StaticCollisionLeaf * | copyStaticCollisionLeaf () const=0
| 静的コリジョンリーフのコピー
virtual bool | isStaticCollisionLeaf () const
| 静的コリジョンリーフかどうか
## Protected Member Functions
| StaticCollisionLeaf (const String &name, CollisionScene *scene)
| コンストラクタ
virtual | ~StaticCollisionLeaf ()
| デストラクタ
virtual void | copyStaticCollisionLeafValue (StaticCollisionLeaf *destination) const
| 静的コリジョンリーフの値コピー

## Detailed Description

静的コリジョンリーフ

Definition at line 36 of file StaticCollisionLeaf.h.

## Constructor & Destructor Documentation

Lamp::StaticCollisionLeaf::StaticCollisionLeaf | ( | const String & | name,
|  | CollisionScene * | scene
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  scene | シーン
Definition at line 32 of file StaticCollisionLeaf.cpp.

## Member Function Documentation

virtual StaticCollisionLeaf* Lamp::StaticCollisionLeaf::copyStaticCollisionLeaf | ( |  | ) | const`[pure virtual]`

| 静的コリジョンリーフのコピー Returns: コピーされた静的コリジョンリーフ Implemented in Lamp::StaticDeformedMeshCollision, and Lamp::StaticSphereCollision.

virtual void Lamp::StaticCollisionLeaf::copyStaticCollisionLeafValue | ( | StaticCollisionLeaf * | destination | ) | const`[inline, protected, virtual]`

  | 静的コリジョンリーフの値コピー Parameters:
  destination | コピー先静的コリジョンリーフ
Definition at line 79 of file StaticCollisionLeaf.h. References Lamp::CollisionLeaf::copyCollisionLeafValue(). Referenced by Lamp::StaticDeformedMeshCollision::copyStaticDeformedMeshCollision(), and Lamp::StaticSphereCollision::copyStaticSphereCollision().

virtual bool Lamp::StaticCollisionLeaf::isStaticCollisionLeaf | ( |  | ) | const`[inline, virtual]`

| 静的コリジョンリーフかどうか Returns: 静的コリジョンリーフならtrue Reimplemented from Lamp::CollisionObject. Definition at line 54 of file StaticCollisionLeaf.h.

The documentation for this class was generated from the following files:

- StaticCollisionLeaf.h
- StaticCollisionLeaf.cpp